# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		kernel-dummy
Version:	2.6.12
Release:	5.%{__distinit}%{__distvers}
Summary:	Dummy kernel package for use on buildsystem
Group:		System Environment/Kernel
License:	GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
Provides:	kernel = %{version}-%{release}
Obsoletes:	kernel < %{version}-%{release}

%description
This is a dummy kernel package used to satisfy dependencies on the kernel
for build systems, which don't actually need a kernel in the build root.
This package has no scriptlets, so installation is faster than a real
kernel package and the scriptlets cannot fail.

%prep

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%changelog
* Tue Aug  2 2011 Paul Howarth <paul@city-fan.org> 2.6.12-5
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 19 2009 Paul Howarth <paul@city-fan.org> 2.6.12-4
- Use %%global rather than %%define for macro definitions

* Tue Dec  2 2008 Paul Howarth <paul@city-fan.org> 2.6.12-3
- Initial package version
